# Deprecated API

## Contents

- Classes
- Exception Classes
- Fields
- Methods

Deprecated Classes
Class
Description
org.globus.gsi.CertificateRevocationLists
org.globus.gsi.CertUtil
Use the various utils that are used here.
org.globus.gsi.GlobusCredential
org.globus.gsi.provider.simple.SimpleMemoryCertStore
org.globus.gsi.provider.simple.SimpleMemoryCertStoreParams
org.globus.gsi.provider.simple.SimpleMemoryKeyStore
org.globus.gsi.provider.simple.SimpleMemoryKeyStoreLoadStoreParameter
org.globus.gsi.provider.simple.SimpleMemoryProvider
org.globus.gsi.provider.simple.SimpleMemorySigningPolicyStore
org.globus.gsi.TrustedCertificates
org.globus.gsi.TrustedCertificatesUtil

Deprecated Exception Classes
Exception Class
Description
org.globus.common.ChainedCertificateException
org.globus.common.ChainedException
org.globus.common.ChainedGeneralSecurityException
org.globus.gsi.proxy.ProxyPathValidatorException

Deprecated Fields
Field
Description
org.globus.common.CoGProperties.CRL_CACHE_LIFETIME
org.globus.gsi.GSIConstants.CA
Use CertificateType.CA instead
org.globus.gsi.GSIConstants.DELEGATION_FULL
Use DelegationType.FULL instead
org.globus.gsi.GSIConstants.DELEGATION_LIMITED
Use DelegationType.LIMITED instead
org.globus.gsi.GSIConstants.DELEGATION_NONE
Use DelegationType.NONE instead
org.globus.gsi.GSIConstants.EEC
Use CertificateType.EEC instead
org.globus.gsi.GSIConstants.GSI_2_LIMITED_PROXY
Use CertificateType.GSI_2_LIMITED_PROXY instead
org.globus.gsi.GSIConstants.GSI_2_PROXY
Use CertificateType.GSI_2_PROXY instead
org.globus.gsi.GSIConstants.GSI_3_IMPERSONATION_PROXY
Use CertificateType.GSI_3_IMPERSONATION_PROXY instead
org.globus.gsi.GSIConstants.GSI_3_INDEPENDENT_PROXY
Use CertificateType.GSI_3_INDEPENDENT_PROXY instead
org.globus.gsi.GSIConstants.GSI_3_LIMITED_PROXY
Use CertificateType.GSI_3_RESTRICTED_PROXY instead
org.globus.gsi.GSIConstants.GSI_3_RESTRICTED_PROXY
Use CertificateType.GSI_3_RESTRICTED_PROXY instead
org.globus.gsi.GSIConstants.GSI_4_IMPERSONATION_PROXY
Use CertificateType.GSI_4_IMPERSONATION_PROXY instead
org.globus.gsi.GSIConstants.GSI_4_INDEPENDENT_PROXY
Use CertificateType.GSI_4_INDEPENDENT_PROXY instead
org.globus.gsi.GSIConstants.GSI_4_LIMITED_PROXY
Use CertificateType.GSI_4_LIMITED_PROXY instead
org.globus.gsi.GSIConstants.GSI_4_RESTRICTED_PROXY
Use CertificateType.GSI_4_RESTRICTED_PROXY instead
org.globus.gsi.gssapi.GSSConstants.GRIM_POLICY_HANDLER
Please use `GSSConstants.PROXY_POLICY_HANDLERS` option instead.

Deprecated Methods
Method
Description
org.globus.common.CoGProperties.getCRLCacheLifetime()
replaced by `CoGProperties.getCertCacheLifetime()`
org.globus.gsi.bc.BouncyCastleCertProcessingFactory.createCertificate(InputStream, X509Certificate, PrivateKey, int, int)
org.globus.gsi.bc.BouncyCastleCertProcessingFactory.createCertificate(InputStream, X509Certificate, PrivateKey, int, int, X509ExtensionSet)
org.globus.gsi.bc.BouncyCastleCertProcessingFactory.createCertificate(InputStream, X509Certificate, PrivateKey, int, int, X509ExtensionSet, String)
org.globus.gsi.bc.BouncyCastleCertProcessingFactory.createCredential(X509Certificate[], PrivateKey, int, int, int)
org.globus.gsi.bc.BouncyCastleCertProcessingFactory.createCredential(X509Certificate[], PrivateKey, int, int, int, X509ExtensionSet)
org.globus.gsi.bc.BouncyCastleCertProcessingFactory.createCredential(X509Certificate[], PrivateKey, int, int, int, X509ExtensionSet, String)
org.globus.gsi.bc.BouncyCastleCertProcessingFactory.createProxyCertificate(X509Certificate, PrivateKey, PublicKey, int, int, X509ExtensionSet, String)
org.globus.gsi.bc.BouncyCastleUtil.getCertificateType(X509Certificate, TrustedCertificates)
org.globus.rsl.ASCII_CharStream.getColumn()
org.globus.rsl.ASCII_CharStream.getLine()
org.globus.rsl.RslAttributes.get(String)
use getMulti() instead.
org.globus.rsl.RslAttributes.getFirstValue(String)
use getSingle() instead.
org.globus.tools.ProxyInit.setProxyType(int)